Subject: Re: bug#25665: 26.0.50; [PATCH] Indicate prefix arg in minibuffer prompt for shell-command

From: [email-masked]
Date: Thu, 09 Feb 2017 17:54:22 -0500

On Thu, Feb 9, 2017 at 11:53 AM, Tino Calancha <[email-masked]> wrote:

> The meaning of the prefix argument must be explained in the docstring.
> That and the manual are the source of documentation, not the prompt.

But it's nice if Emacs gives you a different prompt, so that you can be
sure you typed in the command correctly.  Just like M-& gives a
different prompt from M-!, even though you could figure out the
different meaning just by reading the docstring of each command.

>
> Having a short prompt is also good because there are more space
> in the line for the command;

Yes, it's better to keep the prompt short if possible.  Still, having
the extra feedback might be worth it.

> a short prompt is also better while tipying
> a long command: sometimes you want to change something at the beginning:
> < ; `beginning-of-buffer'

If the command is a single line, you can use C-a instead to avoid the prompt.

> Now you need to `C-f' several times to jump out of the prompt.  The more
> verbose prompt, the more `C-f' you need.

M-e leaves the prompt immediately.